%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
%global with_eclipse 1

Name:          hibernate-tools
Version:       3.2.4
Release:       1%{?dist}
Summary:       Hibernate tools
Group:         Development/Libraries
License:       LGPLv2+
URL:           https://github.com/hibernate/hibernate-tools/
# svn export http://anonsvn.jboss.org/repos/hibernate/tags/TOOLS_3_2_4_GA/tools/ hibernate-tools-3.2.4.GA
# find hibernate-tools-3.2.4.GA  -name "*.jar" -delete
# find hibernate-tools-3.2.4.GA  -name "*.class" -delete
# tar czf hibernate-tools-3.2.4.GA-clean-src-svn.tar.gz hibernate-tools-3.2.4.GA
Source0:       hibernate-tools-%{namedversion}-clean-src-svn.tar.gz
# svn export http://anonsvn.jboss.org/repos/hibernate/tags/TOOLS_3_2_4_GA/common
# rm -rf common/lib/checkstyle-all-4.0-beta4.jar
# tar czf hibernate-tools-common-3.2.4.GA-clean-src-svn.tar.gz common
Source1:       hibernate-tools-common-%{namedversion}-clean-src-svn.tar.gz
# mkdir -p hibernate-3.2/doc/api && cd hibernate-3.2/doc/api
# svn export http://anonsvn.jboss.org/repos/hibernate/tags/TOOLS_3_2_4_GA/jpa-api/etc/jdstyle.css
# tar czf hibernate-tools-jdstyle-3.2.4.GA-src-svn.tar.gz hibernate-3.2
Source2:       hibernate-tools-jdstyle-%{namedversion}-src-svn.tar.gz
Source3:       https://maven.atlassian.com/content/groups/public/org/hibernate/hibernate-tools/%{namedversion}/hibernate-tools-%{namedversion}.pom

Patch0:        hibernate3-tools-build.patch
Patch1:        hibernate3-tools-common-build.patch

Patch2:        hibernate-tools-3.2.4.GA-hibernate36.patch
Patch3:        hibernate-tools-3.2.4.GA-new-dtd-links.patch
Patch4:        hibernate-tools-3.2.4.GA-updatefsfaddress.patch
# remove org.beanshell bsh 2.0b4
# fix freemarker and jtidy groupId, version
Patch5:        hibernate3-tools-pom.patch

     
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: antlr
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-logging
BuildRequires: cglib
BuildRequires: dom4j
BuildRequires: hibernate3
%if %with_eclipse
BuildRequires: eclipse-platform
BuildRequires: eclipse-rcp
%endif
BuildRequires: freemarker
BuildRequires: jtidy

Requires:      freemarker
Requires:      jtidy

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Forward- and reverse-engineering tools for Eclipse and Ant.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n hibernate-tools-%{namedversion} -a1 -a2
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -p1
%patch3 -p1

%patch4 -p0
cp -p %{SOURCE3} pom.xml
%patch5 -p0

sed -i 's/\r//' hibernate-3.2/doc/api/jdstyle.css


find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;
mkdir -p hibernate-3.2/build
ln -sf $(build-classpath hibernate3/hibernate-core) hibernate-3.2/build/hibernate3.jar

mkdir -p hibernate-3.2/lib
ln -sf $(build-classpath cglib) hibernate-3.2/lib
ln -sf $(build-classpath freemarker) lib
%if %with_eclipse
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.jdt.core_*.jar lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar lib
%else
rm src/java/org/hibernate/tool/ide/formatting/JavaFormatter.java
rm src/java/org/hibernate/tool/ant/JavaFormatterTask.java
%endif
ln -sf $(build-classpath ant) lib
ln -sf $(build-classpath antlr) lib
ln -sf $(build-classpath commons-collections) lib
ln -sf $(build-classpath commons-logging) lib
ln -sf $(build-classpath dom4j) lib
ln -sf $(build-classpath jtidy) lib

%build

export CLASSPATH=
export OPT_JAR_LIST=`cat %{_sysconfdir}/ant.d/junit`
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}/%{name}.jar \
  %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 target/%{name}/%{name}-tests.jar \
  %{buildroot}%{_javadir}/%{name}-tests.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/%{name}/doc/api/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}*.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc changelog.txt lgpl.txt readme.txt

%files javadoc
%{_javadocdir}/%{name}
%doc lgpl.txt

%changelog
* Tue Apr 10 2012 gil cattaneo <puntogil@libero.it> 3.2.4-1
- initial rpm

